Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.portlet
Class PortletPresentationContext

    java.lang.Object
      |
      +--com.bea.netuix.servlets.controls.ControlContext
            |
            +--com.bea.netuix.servlets.controls.PresentationContext
                  |
                  +--com.bea.netuix.servlets.controls.window.WindowPresentationContext
                        |
                        +--com.bea.netuix.servlets.controls.portlet.PortletPresentationContext

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  JavaPortletPresentationContext, WebflowPresentationContext

public class PortletPresentationContext
extends WindowPresentationContext

The `PortletPresentationContext` is used to effect the underlying portlet. This is the PresentationContext for a portlet. This `PortletPresentationContext` can only be referenced from a JSP. If you think you need to reference this from a `Backing File` you should look at `PortletBackingContext`.

To get a handle to the PresentationContext just call the following:
PortletPresentationContext.getPortletPresentationContext(request);

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Method Summary
`String` | `getInstanceLabel()` Return the unique label for the portlet.
`String` | `getLabel()` Return the unique label for the portlet.
`static PortletPresentationContext` | `getPortletPresentationContext(HttpServletRequest request)` Returns `PortletPresentationContext` that is in the request.
`String` | `getPortletUri()` Getter for the portlet's URI.
`PortletPreferences` | `getPreferences(HttpServletRequest request)` Returns a read-only copy of preferences for this portlet.
`boolean` | `isDefaultMinimized()` Returns the value for `defaultMinimized`.``

Methods inherited from class com.bea.netuix.servlets.controls.window.WindowPresentationContext
`getContentPresentationClass, getContentPresentationContextChildren, getContentPresentationStyle, getDefinitionId, getDefinitionLabel, getInstanceId, getOrientation, getParentPagePresentationContext, getTitle, getWindowMode, getWindowPresentationContext, getWindowState, isCapable, isPacked`

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getChildren, getChildren, getControlState, getFirstChild, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getResolvedLocale, getTagName, isVisible, render, setVisible`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextFromRequest, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstanceLabel

    public String getInstanceLabel()

  Return the unique label for the portlet. For portlets this is the same as the `instanceLabel`.

  Returns:
    the instance label.

### getLabel

    public String getLabel()

  Return the unique label for the portlet. For portlets this is the same as the `instanceLabel`.

  Specified by:
    `getLabel` in class `WindowPresentationContext`
  Returns:
    the instance label.

### getPortletUri

    public String getPortletUri()

  Getter for the portlet's URI.`Example: /portlets/myportlet/myportlet.portlet`

  Returns:
    A String containing the portlets uri.

### isDefaultMinimized

    public boolean isDefaultMinimized()

  Returns the value for `defaultMinimized`.

  ``

### getPortletPresentationContext

    public static PortletPresentationContext getPortletPresentationContext(HttpServletRequest request)

  Returns `PortletPresentationContext` that is in the request.

  Parameters:
    `request` -
  Returns:
    a reference to the current portlet presentation context.

### getPreferences

    public PortletPreferences getPreferences(HttpServletRequest request)

  Returns a read-only copy of preferences for this portlet.

  Parameters:
    `request` - HTTP request
  Returns:
    preferences

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved